
(* Scan the file for potential faults and record their locations in
   .ctswifi in current dir. 2nd argument is the kind of fault. *)
val scanFaults: Cil.file -> string -> unit

(* Read .ctswifi file, pick the specified number of faults from all
   files and update .ctswifi. pickFaults nr_faults seed returns the
   actual number of faults chosen (may be smaller than requested)*)
val pickFaults: int -> int -> int

(* Adds various faults to the file.  All config info is read from the
   .ctswifi file in current dir. 2nd argument is random seed. *)
val injectFaults: Cil.file -> int -> Cil.file

(* For cilly driver *)
val feature: Cil.featureDescr
